FROM ubuntu:18.04

RUN apt-get update \
        && apt-get install -y \
        apt-utils \
        binutils \
        gdal-bin \
        libpq-dev \
        libproj-dev \
        netcat \
        python3 \
        python3-pip \
        && rm -rf /var/lib/apt/lists/*

RUN find . -name 'requirements.txt'
COPY requirements.txt /requirements.txt
RUN pip3 install --no-cache-dir -r /requirements.txt

RUN ln -s $(which python3) /usr/bin/python

ENV PYTHONUNBUFFERED 1